# Class PstRecipientWriter

java.lang.Object
com.independentsoft.pst.PstRecipientWriter

public class PstRecipientWriter extends Object
Represents a recipient of a message to be created in a new PST file (write side).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PstRecipientWriter(String displayName, String emailAddress)`
  Initializes a new instance of the `PstRecipientWriter` class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  Gets the display name.
  `String`
  `getEmailAddress()`
  Gets the SMTP e-mail address.
  `RecipientType`
  `getRecipientType()`
  Gets the recipient type (To/Cc/Bcc).
  `void`
  `setDisplayName(String displayName)`
  Sets the display name.
  `void`
  `setEmailAddress(String emailAddress)`
  Sets the SMTP e-mail address.
  `void`
  `setRecipientType(RecipientType recipientType)`
  Sets the recipient type (To/Cc/Bcc).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PstRecipientWriter

    public PstRecipientWriter(String displayName, String emailAddress)
    Initializes a new instance of the `PstRecipientWriter` class.
    Parameters:
      `displayName` - the recipient display name.
      `emailAddress` - the recipient SMTP e-mail address.

- ## Method Details

  - ### getDisplayName

    public String getDisplayName()
    Gets the display name.
    Returns:
      the display name.

  - ### setDisplayName

    public void setDisplayName(String displayName)
    Sets the display name.
    Parameters:
      `displayName` - the display name.

  - ### getEmailAddress

    public String getEmailAddress()
    Gets the SMTP e-mail address.
    Returns:
      the SMTP e-mail address.

  - ### setEmailAddress

    public void setEmailAddress(String emailAddress)
    Sets the SMTP e-mail address.
    Parameters:
      `emailAddress` - the SMTP e-mail address.

  - ### getRecipientType

    public RecipientType getRecipientType()
    Gets the recipient type (To/Cc/Bcc). Default is To.
    Returns:
      the recipient type.

  - ### setRecipientType

    public void setRecipientType(RecipientType recipientType)
    Sets the recipient type (To/Cc/Bcc).
    Parameters:
      `recipientType` - the recipient type.